Adobe AIR < 2.0.2.12610 Multiple Vulnerabilities (ASPB10-14)

High Nessus Plugin ID 46858

Synopsis

The remote Windows host contains a version of Adobe AIR that is affected by multiple vulnerabilities.

Description

The remote Windows host contains a version of Adobe AIR that is earlier than 2.0.2.12610. Such versions are affected by multiple vulnerabilities, such as memory corruption, buffer overflows, and memory exhaustion, that could be exploited to cause an application crash or even allow execution of arbitrary code.

Solution

Upgrade to Adobe AIR 2.0.2.12610 or later.

See Also

http://www.adobe.com/support/security/bulletins/apsb10-14.html

Plugin Details

Severity: High

ID: 46858

File Name: adobe_air_apsb10-14.nasl

Version: 1.52

Type: local

Agent: windows

Family: Windows

Published: 2010/06/10

Updated: 2018/06/27

Dependencies: 32504

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 9.3

Temporal Score: 8.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:H/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:adobe:air

Required KB Items: SMB/Adobe_AIR/Version

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2010/06/10

Vulnerability Publication Date: 2008/10/01

Exploitable With

CANVAS (CANVAS)

Core Impact

Metasploit (Adobe Flash Player "newfunction" Invalid Pointer Use)

ExploitHub (EH-11-164)

Reference Information

CVE: CVE-2008-4546, CVE-2009-3793, CVE-2010-1297, CVE-2010-2160, CVE-2010-2161, CVE-2010-2162, CVE-2010-2163, CVE-2010-2164, CVE-2010-2165, CVE-2010-2166, CVE-2010-2167, CVE-2010-2169, CVE-2010-2170, CVE-2010-2171, CVE-2010-2172, CVE-2010-2173, CVE-2010-2174, CVE-2010-2175, CVE-2010-2176, CVE-2010-2177, CVE-2010-2178, CVE-2010-2179, CVE-2010-2180, CVE-2010-2181, CVE-2010-2182, CVE-2010-2183, CVE-2010-2184, CVE-2010-2185, CVE-2010-2186, CVE-2010-2187, CVE-2010-2189

BID: 31537, 40586, 40779, 40780, 40781, 40782, 40783, 40784, 40785, 40786, 40787, 40788, 40789, 40790, 40791, 40792, 40793, 40794, 40795, 40796, 40797, 40799, 40800, 40801, 40802, 40803, 40805, 40806, 40807, 40808, 40809

CERT: 486225

Secunia: 40026

CWE: 399